GET
/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories/{displayCategoryCode}2609170000查看品类
# 01
简介
查看品类
# 02
详细内容
API支持的买家用户地区:韩国
使用显示品类代码(displayCategoryCode )值查看品类信息。
对于1级品类,可将显示品类代码值设为0后查看。
路径
GET/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories/{displayCategoryCode}
示例端点
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories/0# 03
Path 参数
| Name | Type | Description |
|---|---|---|
| displayCategoryCode* | string | 显示品类代码
|
# 04
响应体
响应消息
| Name | Type | Description | ||||||||
|---|---|---|---|---|---|---|---|---|---|---|
| code | string | 结果代码 SUCCESS/ERROR | ||||||||
| message | string | 信息
| ||||||||
| data | object | 显示品类列表 根据查看的显示品类个数,重复N次。 | ||||||||
| displayItemCategoryCode data.displayItemCategoryCode | integer | |||||||||
| name data.name | string | 显示品类名
| ||||||||
| status data.status | string | 显示品类状态
| ||||||||
| child data.child | object[] | 显示子品类 显示查看的品类代码的1级子品类列表。(2级以上的child不显示)如果没有child品类,则返回null或空数组。 对于1级品类,可将查看的displayCategoryCode参数值设为0。 | ||||||||
| displayItemCategoryCode data.child[].displayItemCategoryCode | integer | |||||||||
| name data.child[].name | string | |||||||||
| status data.child[].status | string | |||||||||
| child data.child[].child | object[] |
Response Example
{
"code": "SUCCESS",
"message": "",
"data": {
"displayItemCategoryCode": 0,
"name": "ROOT",
"status": "ACTIVE",
"child": [
{
"displayItemCategoryCode": 77834,
"name": "가구/홈데코",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 62588,
"name": "가전/디지털",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 66679,
"name": "도서",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 79648,
"name": "문구/오피스",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 65799,
"name": "반려/애완용품",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 56112,
"name": "뷰티",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 63897,
"name": "생활용품",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 103371,
"name": "스포츠/레져",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 59258,
"name": "식품",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 102984,
"name": "완구/취미",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 79138,
"name": "음반/DVD",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 78647,
"name": "자동차용품",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 80285,
"name": "주방용품",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 76844,
"name": "출산/유아동",
"status": "ACTIVE",
"child": []
},
{
"displayItemCategoryCode": 69182,
"name": "패션의류잡화",
"status": "ACTIVE",
"child": []
}
]
}
}# 05
错误码
| HTTP | 代码 | 消息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
错误说明
| HTTP | 类型 | 错误消息 | 解决方案 |
|---|---|---|---|
| 400 | 400 (check parameter requested) | 无法找到显示品类[****]. 请确认显示品类代码。 | 查看是否输入了正确的显示品类代码。 |
| 400 | 400 (check parameter requested) | 显示品类代码须为数字。 | 查看是否输入了正确的显示品类代码。显示品类代码只可为数字。 |